% exemples tirés du syllabus de Monsieur Wijsen (Base de données I)

@let EO = @relation [Espèce, Ordre] {
  < Lion,         Carnivores >
  < Loup,         Carnivores >
  < Tigre,        Carnivores >
  < Hyène,        Carnivores >
  < Girafe,       Artiodactyles >
  < Hippopotame,  Artiodactyles >
  < Cobra,        Serpents >
}

@let OC = @relation [Ordre, Classe] {
  < Carnivores,   Mammifères >
  < Artiodactyles, Mammifères >
  < Serpents,     Reptiles >
}

@let VIT = @relation [Espèce, Continent] {
  < Lion,         Afrique >
  < Lion,         Asie >
  < Loup,         Europe >
  < Loup,         Asie >
  < Tigre,        Asie >
  < Hyène,        Afrique >
  < Girafe,       Afrique >
  < Hippopotame,  Afrique >
  < Cobra,        Asie >
}

@let R1 = EO @join OC
@let R2 = OC @join EO
@let R3 = EO @join VIT
@let R4 = OC @join VIT
@let R5 = EO @join OC @join VIT

@print EO, OC, VIT, R1, R2, R3, R4, R5






